Opened 8 years ago

Closed 7 years ago

#31121 closed submission (fixed)

py-ipy: adding python2.7, replacing existing py(25|26)-ipy ports

Reported by: torstenb@… Owned by: drkp (Dan Ports)
Priority: Normal Milestone:
Component: ports Version:
Keywords: Cc: saispo@…
Port: py-ipy

Description

I had created a py27-ipy port and before submitting learned about the new python portgroup. So I adjusted the port to fit that model and support python version 25 26 and 27, while having 27 being the default.

@saispo: Are you ok with replacing py(25|26)-ipy with this one?

Attachments (1)

Portfile (1.2 KB) - added by torstenb@… 8 years ago.

Download all attachments as: .zip

Change History (4)

Changed 8 years ago by torstenb@…

Attachment: Portfile added

comment:1 Changed 8 years ago by torstenb@…

Forgot to mention: this updates the module to ver 0.75 - current py25-ipy and py26-ipy are 0.70. There have been a few bugfixes between 0.70 and 0.75.

comment:2 Changed 7 years ago by drkp (Dan Ports)

Owner: changed from macports-tickets@… to dports@…
Status: newassigned

comment:3 Changed 7 years ago by drkp (Dan Ports)

Resolution: fixed
Status: assignedclosed

Hmm, this drops the py24 port (because it isn't supported anymore) and changes the default version to py27. That might be a bit surprising if someone actually has the python 2.4 version installed, but it seems to work fine and be the most reasonable thing to do.

Committed in r90946. Thanks!

Note: See TracTickets for help on using tickets.